clc
clear variables

names = { 'F1', 'F3', 'Branin', 'Camelback', 'Goldprice', 'PShubert1', 'PShubert2', 'Quartic', 'Shubert', 'Hartman1', 'Shekel1', 'Shekel2', 'Shekel3', 'Hartman2', 'Hosc45', 'Brown1', 'Brown3', 'F5n', 'F10n', 'F15n' }
maxfc = 2000000;

f = fopen( 'fmincon.sta', 'w' );
for j=1:20
    outfile = sprintf( '%s.out', cell2mat(names(j)));
    data = load( outfile );
    fails = find( data(:,1)>= maxfc );
    data(fails(:),:) = [];
    succ = size(data,1);
    display( sprintf( '%15s   %5d   %7.0f %7.0f', cell2mat(names(j)), succ, mean(data(:,1)), mean(data(:,3)) ) );
    fprintf( f, '%15s   %5d   %7.0f %7.0f\n', cell2mat(names(j)), succ, mean(data(:,1)), mean(data(:,3)) );
end
fclose(f);